#
# spec file for package apache2-mod_authz_unixgroup
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name mod_authz_unixgroup
#
Name:           apache2-mod_authz_unixgroup
Version:        1.1.0
Release:        3.2
#
Summary:        Apache External Authentication Modules
License:        Apache-2.0
#
Group:          Productivity/Networking/Web/Servers
#
Url:            http://code.google.com/p/mod-auth-external/wiki/ModAuthzUnixGroup
Source:         http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
# see: https://github.com/phokz/mod-auth-external/tree/master/mod_authz_unixgroup
# "I expect that it will really only be used by user of
#  mod_authnz_external/pwauth."
Requires:       apache2-mod_authnz_external
Requires:       pwauth
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Apache HTTP Daemon can be configured to require users to supply logins and
passwords before accessing pages in some directories. Authentication is the
process of checking if the password given is correct for a user. Apache has
standard modules for authenticating out of several different kinds of
databases. These external authentication modules provide a flexible tool for
creating authentication systems based on other databases.

%prep
%setup -q -n %{mod_name}-%{version}
rm -rf .libs/ .*.swp

%build
%{apache_apxs} -c %{mod_name}.c

%install
install -Dd -m 0755 %{buildroot}%{apache_libexecdir}
%{apache_apxs} -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" -i -n %{mod_name} %{mod_name}.la

%check
set +x
%apache_test_module_load -m authz_unixgroup
set -x

%files
%defattr(-,root,root,-)
%{apache_libexecdir}/%{mod_name}.so
%doc CHANGES INSTALL* README

%changelog
* Wed Sep 30 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Mon Nov 10 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
- update to 1.1.0
  * builds for apache 2.4
* Sun Feb 17 2013 pieter@hollants.com
- Initial RPM based on v1.0.3-
